GXml.DomText – GXml-0.20 Reference Manual

# DomText

## Object Hierarchy:

## Description:

public interface DomText : DomCharacterData

DOM4 text node

All known implementing classes:

- Text

- XText

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public virtual string whole_text { owned get; }

### Methods:

- public virtual DomText split_text (int offset) throws Error

### Inherited Members:

All known members inherited from interface GXml.DomCharacterData

- append_data
- data
- delete_data

- insert_data
- length

- replace_data
- substring_data